Get campaigns
/products/campaign/search
Target audience: Developers
Release version: 4.5.9
Get campaigns¶
Introduction¶
Used for fetching multiple campaigns.
Order validation¶
order_validation_meta_data tells whether the campaign has an active order validation, such as an age limit, and which criteria it is set up with, so you can adapt the purchase flow to it. Campaigns do not inherit the order validation of the package they are based on, so the object only tells about the campaign itself.
| Field | Type | Description |
|---|---|---|
enabled |
Boolean | true when the campaign has an active order validation. |
types |
Array[String] | The criteria of the order validation: min_age_limit (minimum age) and max_age_limit (maximum age). Empty when enabled is false. |
URI¶
| Environment | URI |
|---|---|
| Stage | https://payway-api.stage.adeprimo.se/external/api/v4/products/campaign/search |
| Production | https://backend.worldoftulo.com/external/api/v4/products/campaign/search |
Requirements¶
| Identity | Scope |
|---|---|
| No | /external/product/r |
Parameters¶
| Name | Type | Description | Required |
|---|---|---|---|
| title_code | String | Title code a title. Size range: 1..15 Allowed values: "/^[a-zA-Z-_0-9]+$/" |
Yes |
| page_size | Integer | Size of result set Size range: 1..25 Allowed values: Integer Default: 25 |
No |
| page_number | Integer | Skip given result sets Size range: 1..1000 Allowed values: Integer Default: 1 |
No |
| packaged_product_code | String | The product code the campaign package should include. Note that this is not the same as a package or campaign code. |
No |
| tags | String | Retrieve only product for specific tags (case sensitive). Size range: 1..100 Allowed values: *"/^([a-zA-Z0-9]+,?\s)+$/" |
No |
| include_inactive | Boolean | Includes inactive products Allowed values: true/false Default: false | No |
Curl Example¶
Forth page with page size 3¶
curl --request GET \
--url https://payway-api.stage.adeprimo.se/external/api/v4/products/campaign/search?page_size=3&page_number=4&title_code=TITLE_CODE \
--header 'accept: application/json' \
--header 'authorization: Bearer token' \
Response¶
Successful response with page size 3 and page number 4 and title code TITLE_CODE¶
HTTP 200
{
"page_info": {
"page_size": 3,
"page_number": 4,
"more_results_available": true
},
"items": [
{
"id": "60af542709c04c52a1724a32",
"valid_from": "2020-05-27T10:11:19+02:00",
"valid_to": "2022-05-27T10:11:19+02:00",
"expired": false,
"product_code": "12",
"integration_code": "campaign_integration_code",
"title_code": "TITLE_CODE",
"name": "Adeprimo summer campaign",
"description": "Please buy our nice summer campaign, it is very nice and gives you news.",
"additional_short_description": null,
"image_url": "https://cdn_url/Image/adeprimo/12",
"vat_code": 25,
"type": "campaign",
"transform_to_package": true,
"customer_can_cancel": false,
"rank": 0,
"show_price_excluding_vat": false,
"allow_gift_purchase": false,
"allow_only_gift_purchase": false,
"allow_voucher_purchase": false,
"allow_only_voucher_purchase": false,
"order_validation_meta_data": {
"enabled": false,
"types": []
},
"tags": [
{
"name": "package_tag",
"type": "package"
},
{
"name": "campaign_tag",
"type": "package"
}
],
"price_periods": [
{
"id": "60af542709c04c52a1724a35",
"payment_method": "adyen",
"type": "recurring",
"enabled": true,
"iteration_type": "month",
"iteration_length": 3,
"iterations": 1,
"price": 210,
"details": {
"type": "scheme",
"name": "Card"
},
"price_description": {
"period_id": "60af542709c04c52a1724a35",
"price_details": [
{
"name": "Combo campaign",
"total_price": 210.0,
"price_excluding_vat": 157.5,
"vat": 25,
"price_specification": "",
"description_without_price": "första månaden, därefter avslutas prenumerationen",
"description_without_price_excluding_vat": "första månaden, därefter avslutas prenumerationen",
"localized_description": "210 första månaden, därefter avslutas prenumerationen",
"localized_description_excluding_vat": "157.5 kr första månaden, därefter avslutas prenumerationen",
"localized_per_type_description": "210 kr / månad",
"localized_per_type_description_excluding_vat": "157.5 kr / månad"
}
],
# Recursive object
"transition_period": {
"id": "60af542709c04c52a1724a35",
"product_id": "529jfa98jfda9jfad98dfja",
"product_code": "my_first_transition",
"payment_method": "adyen",
"type": "recurring",
"enabled": true,
"iteration_type": "month",
"iteration_length": 3,
"iterations": 1,
"price": 210,
"price_excluding_vat": 197.4,
"vat": 6,
"details": {
"type": "scheme",
"name": "Card"
},
"transition_period": {
"id": "60af542709c04c52a1724b73",
"product_id": "529jfa98jfda9jfad98dfja",
"product_code": "my_second_transition",
"payment_method": "adyen",
"type": "recurring",
"enabled": true,
"iteration_type": "month",
"iteration_length": 3,
"iterations": 1,
"price": 210,
"price_excluding_vat": 197.4,
"vat": 6,
"details": {
"type": "scheme",
"name": "Card"
},
"transition_period": null
}
}
},
"boutique_display_options": {
"display_percentage": false,
"display_regular_price": false,
"price_terms": null,
"header_widget_id": null,
"header_widget_key": null
}
}
],
"based_on_package": {
"id": "60af542609c04c52a17249d6",
"valid_from": "2020-05-27T10:11:18+02:00",
"valid_to": "2022-05-27T10:11:18+02:00",
"expired": false,
"product_code": "package_code",
"integration_code": "package_integration_code",
"title_code": "TITLE_CODE",
"name": "Adeprimo summer package",
"description": "Please buy our nice summer package, it is very nice and gives you news.",
"additional_short_description": "Nice summer package",
"image_url": "https://cdn_url/Image/adeprimo/package_code",
"vat_code": 25,
"type": "package",
"customer_can_cancel": false,
"rank": 0,
"show_price_excluding_vat": false,
"allow_gift_purchase": false,
"allow_only_gift_purchase": false,
"allow_voucher_purchase": false,
"allow_only_voucher_purchase": false,
"products": [
{
"id": "60af542609c04c52a17249d3",
"product_code": "product_code",
"type": "product",
"name": "product_name",
"description": "short_description",
"image_url": "https://cdn_url/Image/organisation/product_code",
"print_product": false,
"loyalty_card_product": false
}
],
"tags": [
{
"name": "package_tag",
"type": "package"
}
],
"price_periods": [
{
"id": "60af542609c04c52a17249d9",
"payment_method": "adyen",
"type": "recurring",
"enabled": true,
"iteration_type": "month",
"iteration_length": 1,
"price": 210,
"details": {
"type": "scheme",
"name": "Card"
},
"price_description": {
"period_id": "60af542709c04c52a1724a35",
"price_details": [
{
"name": "Adeprimo Papper & Digital",
"total_price": 210.0,
"price_excluding_vat": 157.5,
"vat": 25,
"price_specification": "",
"localized_description": "Pris per månad"
}
]
},
"boutique_display_options": {
"display_percentage": false,
"display_regular_price": false,
"price_terms": null,
"header_widget_id": null,
"header_widget_key": null
}
}
]
}
}
]
}
Errors¶
This API uses the common error conventions of the Payway API